package com.persagy.server.utils.customfun

import com.persagy.database.SAbstractFunction
import com.persagy.database.enums.SDatabaseType

/**
 * 函数定义
 *
 * @author wx
 */
class CharLength (name: String, char: String) : SAbstractFunction(name, arrayListOf(char)){
    override fun toSql(type: SDatabaseType): String {
        return "char_length(($colName)::text)"
    }

}